=== debian/changelog ===
ros-melodic-fcl-catkin (0.6.1-2stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Mon, 20 Apr 2020 16:42:05 -0000

ros-melodic-fcl-catkin (0.6.0-2stretch) stretch; urgency=high

  * Update to v0.6.0
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-fcl-catkin (0.5.99-2stretch) stretch; urgency=high



 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Sat, 14 Sep 2019 23:00:00 -0000
